summaryrefslogtreecommitdiff
path: root/dev-go
diff options
context:
space:
mode:
Diffstat (limited to 'dev-go')
-rw-r--r--dev-go/toml/Manifest1
-rw-r--r--dev-go/toml/metadata.xml11
-rw-r--r--dev-go/toml/toml-0.2.0_p20160716.ebuild35
-rw-r--r--dev-go/toml/toml-9999.ebuild35
4 files changed, 82 insertions, 0 deletions
diff --git a/dev-go/toml/Manifest b/dev-go/toml/Manifest
new file mode 100644
index 00000000000..c02f4c1c827
--- /dev/null
+++ b/dev-go/toml/Manifest
@@ -0,0 +1 @@
+DIST toml-0.2.0_p20160716.tar.gz 39914 SHA256 5a351a5ede5f4256f13cd371c6933125680f799350dee959b9341e6e26f8ff97 SHA512 c2109e913d5891bf62526b421c4be8c64823ef8ee7ea6dc8120b6f28881633fec1ea46cbb076859a15db011fbcdf900d9c6f9caae06c194135241c42cf65f11d WHIRLPOOL 346ae219d6f7cf6b10230fa1ab7ed79e2111516a500b573f6dfe1ad768229aa650d8a288d94f6d540524bc3bbc7dcfd916925eab8e0dc7420881205bb51a31b6
diff --git a/dev-go/toml/metadata.xml b/dev-go/toml/metadata.xml
new file mode 100644
index 00000000000..a4913d81f09
--- /dev/null
+++ b/dev-go/toml/metadata.xml
@@ -0,0 +1,11 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <email>mrueg@gentoo.org</email>
+ <name>Manuel RĂ¼ger</name>
+ </maintainer>
+ <upstream>
+ <remote-id type="github">BurntSushi/toml</remote-id>
+ </upstream>
+</pkgmetadata>
diff --git a/dev-go/toml/toml-0.2.0_p20160716.ebuild b/dev-go/toml/toml-0.2.0_p20160716.ebuild
new file mode 100644
index 00000000000..74851398641
--- /dev/null
+++ b/dev-go/toml/toml-0.2.0_p20160716.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+EGO_PN="github.com/BurntSushi/toml"
+
+if [[ ${PV} == *9999 ]]; then
+ inherit golang-vcs
+else
+ EGIT_COMMIT="99064174e013895bbd9b025c31100bd1d9b590ca"
+ SRC_URI="https://${EGO_PN}/archive/${EGIT_COMMIT}.tar.gz -> ${P}.tar.gz"
+ KEYWORDS="~amd64 ~ppc64"
+ inherit golang-vcs-snapshot
+fi
+
+DESCRIPTION="TOML parser for Golang with reflection"
+HOMEPAGE="http://github.com/BurntSushi/toml"
+
+LICENSE="WTFPL-2"
+SLOT="0"
+IUSE=""
+
+S=${WORKDIR}/${P}/src/${EGO_PN}
+
+RESTRICT="test"
+
+src_compile() {
+ GOPATH="${WORKDIR}/${P}:$(get_golibdir_gopath)" go build -o "bin/tomlv" ./cmd/tomlv || die
+}
+
+src_install() {
+ dodoc README.md
+ dobin bin/tomlv
+}
diff --git a/dev-go/toml/toml-9999.ebuild b/dev-go/toml/toml-9999.ebuild
new file mode 100644
index 00000000000..74851398641
--- /dev/null
+++ b/dev-go/toml/toml-9999.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+EGO_PN="github.com/BurntSushi/toml"
+
+if [[ ${PV} == *9999 ]]; then
+ inherit golang-vcs
+else
+ EGIT_COMMIT="99064174e013895bbd9b025c31100bd1d9b590ca"
+ SRC_URI="https://${EGO_PN}/archive/${EGIT_COMMIT}.tar.gz -> ${P}.tar.gz"
+ KEYWORDS="~amd64 ~ppc64"
+ inherit golang-vcs-snapshot
+fi
+
+DESCRIPTION="TOML parser for Golang with reflection"
+HOMEPAGE="http://github.com/BurntSushi/toml"
+
+LICENSE="WTFPL-2"
+SLOT="0"
+IUSE=""
+
+S=${WORKDIR}/${P}/src/${EGO_PN}
+
+RESTRICT="test"
+
+src_compile() {
+ GOPATH="${WORKDIR}/${P}:$(get_golibdir_gopath)" go build -o "bin/tomlv" ./cmd/tomlv || die
+}
+
+src_install() {
+ dodoc README.md
+ dobin bin/tomlv
+}